
Installer - Refactor #23726

Remove migrate_foreman from the upgrade hook

05/29/2018 11:27 AM - Ewoud Kohl van Wijngaarden

Status: Closed   

Priority: Normal   

Assignee: Eric Helms   

Category: foreman-installer script   

Target version: 2.0.0   

Difficulty:  Fixed in Releases: 2.0.0

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

I think migrate_foreman shouldn't be needed since theforeman/puppet-foreman@a32b663. There might be some weird stuff going

on because katello initializes in a different way than regular foreman plugins. We should run through various upgrade scenarios to

see if it's actually needed.

https://github.com/theforeman/puppet-foreman/commit/a32b6639c520744fa07c925bbd9bd2146eefa28c

Associated revisions

Revision 428777a7 - 01/13/2020 11:54 AM - Eric Helms

Drop Foreman migrate from Katello upgrade

History

#1 - 05/30/2018 05:53 PM - Andrew Kofink

- translation missing: en.field_release set to 349

#2 - 08/15/2018 06:21 PM - Jonathon Turel

- Status changed from New to Needs design

- Target version changed from Katello 3.8.0 to Katello Backlog

#3 - 11/29/2019 03:43 PM - Ewoud Kohl van Wijngaarden

- Project changed from Katello to Installer

- Category deleted (Installer)

- Target version deleted (Katello Backlog)

#4 - 04/16/2020 05:02 PM - Ewoud Kohl van Wijngaarden

- Category set to foreman-installer script

- Status changed from Needs design to Closed

- Target version set to 2.0.0

- Fixed in Releases 2.0.0 added

Fixed in 428777a777159a3f5a40eacb2f4e85e6721c78bb

#5 - 04/16/2020 05:05 PM - Ewoud Kohl van Wijngaarden

- Assignee set to Eric Helms
